


# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

# Review : https://bugzilla.redhat.com/487973

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Name    : lxmenu-data
Version : 0.1.4
Release : 1%{?dist}
Summary : Data files for the LXDE menu

Group   : User Interface/Desktops
License : LGPLv2+

URL     : http://lxde.org

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Source0 : http://downloads.sourceforge.net/lxde/%{name}-%{version}.tar.xz

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

BuildArch : noarch

BuildRoot : %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

BuildRequires : intltool >= 0.40.0

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Requires : redhat-menus

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%description

The lxmenu-data contains files used to build the menu in LXDE according to the freedesktop-org menu spec.
Currently it's used by LXPanel and LXLauncher.

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%prep

%setup -q

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%build

%configure    \
--disable-nls

echo '------{?_smp_mflags}       = '"%{?_smp_mflags}"

make %{?_smp_mflags}

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%install

echo '------${RPM_BUILD_ROOT}    = '"${RPM_BUILD_ROOT}"

echo '------{?dist}              = '"%{?dist}"

echo '------{buildroot}          = '"%{buildroot}"

echo '------{_bindir}            = '"%{_bindir}"

echo '------{_sysconfdir}        = '"%{_sysconfdir}"

echo '------{_includedir}        = '"%{_includedir}"

echo '------{_libdir}            = '"%{_libdir}"

echo '------{_datadir}           = '"%{_datadir}"

echo '------{_docdir}            = '"%{_docdir}"

echo '------{_infodir}           = '"%{_infodir}"

echo '------{_mandir}            = '"%{_mandir}"



rm -rfv ${RPM_BUILD_ROOT}



make install DESTDIR=${RPM_BUILD_ROOT}



rm -frv                          \
${RPM_BUILD_ROOT}%{_docdir}      \
${RPM_BUILD_ROOT}%{_infodir}     \
${RPM_BUILD_ROOT}%{_mandir}      \
${RPM_BUILD_ROOT}%{_libdir}/*.la

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%clean

rm -rfv ${RPM_BUILD_ROOT}

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%files

%defattr(-,root,root,-)

%{_datadir}
%{_sysconfdir}

# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

%changelog
